Bug 112594 - Kernel panic: no init found
Kernel panic: no init found
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-23 20:18 EST by jmw
Modified: 2007-04-18 13:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 23:36:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jmw 2003-12-23 20:18:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4)
Gecko/20030624 Netscape/7.1 (ax)

Description of problem:
i'd recently run auto-update, and found several different new
packages, plus an update to kernel 2.4.20-24.9.  i have no way of
knowing whether the new kernel was the problem or not.  i simply ran
the update for everything, re-booted then got the subject error
message.  (previous kernel was 2.4.20-20.9.)  i find i cannot
successfully re-boot into anything from 18.9 to 24.9, though i can get
to the Grub loader page.

i found several hundred messages on google related to this, many refer
to re-creating an empty initrd file in the root.  i don't know how i
can do that at this point, but will continue investigating.  for what
it's worth, i find this through the Grub loader page:

root(hd0,0)
kernel /vmlinuz-2.4.20-24.9smp ro root=LABEL=/
initrd /initrd-2.4.20-24.9smp.img

i imagine i could edit the kernel line and add something, but don't
know what to add, don't know how adding anything will affect the file
structure.  right now, i need a little basic guidance. 

 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. every attempt to boot the system, after recent update
2.
3.
    

Expected Results:  should have successfully booted with any kernel
from 18.9 to 24.9.

Additional info:

i don't have one clue as to the cause.  i wasn't editing anything, i
did not compile and attempt instllation of anything, i simply ran Red
Hat update as Root.
Comment 1 Jeremy Katz 2004-01-03 15:09:00 EST
Can you provide all of the messages you get before the unable to find
init?
Comment 2 Jeremy Katz 2004-10-04 23:36:46 EDT
Closing due to inactivity.  Please reopen if you have further
information to add to this report.

Note You need to log in before you can comment on or make changes to this bug.